# Guild hub admin ## `POST /api/guild/announcements` **Post a guild announcement** Creates a site-made announcement. **Request body** Model: {ref}`GuildAnnouncementCreate ` | Field | Type | Required | Description | |---|---|---|---| | `text` | string | yes | | | `discord` | boolean | no | | **Response `201` — The new announcement.** Model: {ref}`GuildAnnouncementRow ` | Field | Type | Required | Description | |---|---|---|---| | `id` | string (uuid) | yes | | | `text` | string | yes | | | `author` | string | yes | | | `at` | string (date-time) | yes | | | `source` | {ref}`AnnouncementSource ` | yes | | | `posted_at` | string (date-time) \| null | yes | |